﻿Morph subclass: #SRMissile
	instanceVariableNames: 'form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRMissile methodsFor: 'testing' stamp: 'Anonymous 6/28/2012 13:25'!
isIntersected: aPlayer
	^ self bounds intersects: aPlayer bounds! !

!SRMissile methodsFor: 'testing' stamp: 'EiichiroIto 6/28/2012 13:21'!
isTreasure
	^ false! !


!SRMissile methodsFor: 'accessing' stamp: 'SRground 7/19/2012 14:06'!
hitByBeam
	self delete! !

!SRMissile methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 01:35'!
hitByBom
	self delete! !

!SRMissile methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 00:10'!
move
	| pos delta x |
	owner isNil
		ifTrue: [ ^ self ].
	pos := self center.
	delta := -8 @ 0.
	pos x - owner player center x < 50
		ifTrue: [ delta := -8 @ -16 ].
	self center: pos + delta.
	(self bounds intersects: owner bounds) not
		ifTrue: [ self delete ]! !

!SRMissile methodsFor: 'accessing' stamp: 'SRMissile 6/28/2012 13:26'!
solvePenetration: aPlayer
	aPlayer owner missed! !


!SRMissile methodsFor: 'initialization' stamp: 'SRground 7/19/2012 14:21'!
initialize
	super initialize.
	self extent: 30 @ 60.
	self color: Color red.
	form := Form fromFileNamed: 'm.png'.
	form := form mapColor: Color white to: Color transparent! !


!SRMissile methodsFor: 'drawing' stamp: 'SRMissile 7/12/2012 14:05'!
drawOn: aCanVas
	aCanVas translucentImage: form at: self topLeft! !


Morph subclass: #SRMeteo2
	instanceVariableNames: 'form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRMeteo2 methodsFor: 'initialization' stamp: 'Anonymous 10/5/2012 01:28'!
initialize
	super initialize.
	self extent: 52 @ 27.
	self color: Color red.
	form := Form fromFileNamed: 'mt2.png'.
	form := form mapColor: Color white to: Color transparent! !


!SRMeteo2 methodsFor: 'testing' stamp: 'Anonymous 10/5/2012 01:18'!
isIntersected: aPlayer
	^ self bounds intersects: aPlayer bounds! !


!SRMeteo2 methodsFor: 'accessing' stamp: 'Anonymous 10/5/2012 01:18'!
hitByBeam
	! !

!SRMeteo2 methodsFor: 'accessing' stamp: 'Anonymous 10/5/2012 01:18'!
hitByBom
	! !

!SRMeteo2 methodsFor: 'accessing' stamp: 'Anonymous 10/5/2012 01:18'!
move
	| pos delta |
	owner isNil
		ifTrue: [ ^ self ].
	pos := self center.
	delta := 24 @ 0.
	self center: pos + delta.
	(self bounds intersects: owner bounds) not
		ifTrue: [ self delete ]! !

!SRMeteo2 methodsFor: 'accessing' stamp: 'Anonymous 10/5/2012 01:18'!
solvePenetration: aPlayer
	aPlayer owner missed! !


!SRMeteo2 methodsFor: 'drawing' stamp: 'Anonymous 10/5/2012 01:18'!
drawOn: aCanVas
	aCanVas translucentImage: form at: self topLeft! !


Morph subclass: #SRMeteo
	instanceVariableNames: 'form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRMeteo methodsFor: 'testing' stamp: 'SRMissile 7/5/2012 14:10'!
isIntersected: aPlayer
	^ self bounds intersects: aPlayer bounds! !

!SRMeteo methodsFor: 'testing' stamp: 'EiichiroIto 7/5/2012 14:07'!
isTreasure
	^ false! !


!SRMeteo methodsFor: 'accessing' stamp: 'SRground 7/19/2012 14:05'!
hitByBeam
	! !

!SRMeteo methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 01:36'!
hitByBom
	! !

!SRMeteo methodsFor: 'accessing' stamp: 'SRMissile 7/5/2012 14:13'!
move
	| pos delta |
	owner isNil
		ifTrue: [ ^ self ].
	pos := self center.
	delta := -24 @ 0.
	self center: pos + delta.
	(self bounds intersects: owner bounds) not
		ifTrue: [ self delete ]! !

!SRMeteo methodsFor: 'accessing' stamp: 'SRMissile 7/5/2012 14:10'!
solvePenetration: aPlayer
	aPlayer owner missed! !


!SRMeteo methodsFor: 'initialization' stamp: 'SRMissile 7/12/2012 14:28'!
initialize
	super initialize.
	self extent: 52 @ 27.
	self color: Color red.
	form := Form fromFileNamed: 'mt.png'.
	form := form mapColor: Color white to: Color transparent! !


!SRMeteo methodsFor: 'drawing' stamp: 'SRMissile 7/12/2012 14:16'!
drawOn: aCanVas
	aCanVas translucentImage: form at: self topLeft! !


Morph subclass: #SRPlayer
	instanceVariableNames: 'wait nextWait form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRPlayer methodsFor: 'initialization' stamp: 'Anonymous 10/5/2012 02:52'!
initialize
	super initialize.
	self extent: 36 @ 30.
	self color: Color blue.
	wait := 0.
	nextWait := 10.
	form := Form fromFileNamed: 'p1.png'.
	form := form mapColor: Color white to: Color transparent! !


!SRPlayer methodsFor: 'private' stamp: 'kasai 6/22/2012 14:59'!
checkCollision
	owner submorphs
		do: [ :each | 
			(each isIntersected: self)
				ifTrue: [ each solvePenetration: self ] ]! !


!SRPlayer methodsFor: 'testing' stamp: 'kasai 6/22/2012 14:59'!
isIntersected: aPlayer
	^ false! !

!SRPlayer methodsFor: 'testing' stamp: 'EiichiroIto 6/14/2012 13:30'!
isTreasure
	^ false! !


!SRPlayer methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 01:33'!
move
	| pos keyState obj |
	keyState := owner keyState.
	pos := self center.
	(keyState includes: #left)
		ifTrue: [ pos := -10 @ 0 + pos ].
	(keyState includes: #right)
		ifTrue: [ pos := 10 @ 0 + pos ].
	(keyState includes: #up)
		ifTrue: [ pos := 0 @ -10 + pos ].
	(keyState includes: #down)
		ifTrue: [ pos := 0 @ 10 + pos ].
	(keyState includes: #z)
		ifTrue: [ 
			obj := SRBeam new.
			obj center: bounds topLeft + (50 @ 10).
			owner addMorphFront: obj ].
	(keyState includes: #x)
		ifTrue: [ 
			obj := SRBom new.
			obj center: bounds topLeft + (20 @ 30).
			owner addMorphFront: obj ].
	wait = 0
		ifTrue: [ self center: pos ]
		ifFalse: [ wait := wait - 0 ].
	self checkCollision! !

!SRPlayer methodsFor: 'accessing' stamp: 'Anonymous 10/5/2012 02:48'!
waitMoment
	wait := nextWait.
	nextWait := nextWait + 5! !


!SRPlayer methodsFor: 'drawing' stamp: 'SRMissile 7/12/2012 14:00'!
drawOn: aCanVas
	aCanVas translucentImage: form at: self topLeft! !


Morph subclass: #SRBom
	instanceVariableNames: 'wait'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRBom methodsFor: 'initialization' stamp: 'Anonymous 9/26/2012 01:29'!
initialize
	super initialize.
	self extent: 5 @ 5.
	self color: Color red! !


!SRBom methodsFor: 'testing' stamp: 'Anonymous 9/26/2012 01:29'!
isIntersected: aPlayer
	^ false! !


!SRBom methodsFor: 'accessing' stamp: 'Anonymous 9/27/2012 00:41'!
move
	| p |
	p := self center.
	p := p + (20 @ 30).
	self center: p.
	(self bounds intersects: owner bounds) not
		ifTrue: [ 
			self delete.
			^ self ].
	self checkCollision! !

!SRBom methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 01:29'!
solvePenetration: aPlayer
	aPlayer waitMoment.
	self delete.
	ActiveWorld flash! !


!SRBom methodsFor: 'private' stamp: 'Anonymous 9/26/2012 01:29'!
checkCollision
	owner submorphs
		do: [ :each | 
			(each isIntersected: self)
				ifTrue: [ 
					each hitByBom.
					self delete ] ]! !


Morph subclass: #SRground
	instanceVariableNames: 'form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRground methodsFor: 'initialization' stamp: 'SRground 7/19/2012 13:35'!
initialize
	super initialize.
	self extent: 8 @ 50.
	self color: Color brown! !


!SRground methodsFor: 'testing' stamp: 'Anonymous 7/19/2012 13:31'!
isIntersected: aPlayer
	^ self bounds intersects: aPlayer bounds! !


!SRground methodsFor: 'accessing' stamp: 'SRground 7/19/2012 14:05'!
hitByBeam
	! !

!SRground methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 01:34'!
hitByBom
	! !

!SRground methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 00:49'!
move
	| pos delta |
	owner isNil
		ifTrue: [ ^ self ].
	pos := self center.
	delta := -8 @ 0.
	self center: pos + delta.
	(self bounds intersects: owner bounds) not
		ifTrue: [ self delete ]! !

!SRground methodsFor: 'accessing' stamp: 'Anonymous 7/19/2012 13:31'!
solvePenetration: aPlayer
	aPlayer owner missed! !


Morph subclass: #SRMissileFake
	instanceVariableNames: 'form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRMissileFake methodsFor: 'initialization' stamp: 'Anonymous 9/26/2012 00:09'!
initialize
	super initialize.
	self extent: 30 @ 60.
	self color: Color red.
	form := Form fromFileNamed: 'm.png'.
	form := form mapColor: Color white to: Color transparent! !


!SRMissileFake methodsFor: 'testing' stamp: 'Anonymous 9/26/2012 00:09'!
isIntersected: aPlayer
	^ self bounds intersects: aPlayer bounds! !


!SRMissileFake methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 00:09'!
hitByBeam
	self delete! !

!SRMissileFake methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 01:35'!
hitByBom
	self delete! !

!SRMissileFake methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 00:13'!
move
	| pos delta x |
	owner isNil
		ifTrue: [ ^ self ].
	pos := self center.
	delta := -8 @ 0.
	self center: pos + delta.
	(self bounds intersects: owner bounds) not
		ifTrue: [ self delete ]! !

!SRMissileFake methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 00:09'!
solvePenetration: aPlayer
	aPlayer owner missed! !


!SRMissileFake methodsFor: 'drawing' stamp: 'Anonymous 9/26/2012 00:09'!
drawOn: aCanVas
	aCanVas translucentImage: form at: self topLeft! !


Morph subclass: #SRBeam
	instanceVariableNames: 'wait'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRBeam methodsFor: 'initialization' stamp: 'SRground 7/19/2012 14:11'!
initialize
	super initialize.
	self extent: 5 @ 5.
	self color: Color yellow! !


!SRBeam methodsFor: 'testing' stamp: 'SRMissile 7/5/2012 13:41'!
isIntersected: aPlayer
	^ false! !

!SRBeam methodsFor: 'testing' stamp: 'kasai 6/22/2012 15:00'!
isTreasure
	^ true! !


!SRBeam methodsFor: 'accessing' stamp: 'SRground 7/19/2012 14:11'!
move
	| p |
	p := self center.
	p := p + (30 @ 0).
	self center: p.
	(self bounds intersects: owner bounds) not
		ifTrue: [ 
			self delete.
			^ self ].
	self checkCollision! !

!SRBeam methodsFor: 'accessing' stamp: 'kasai 6/22/2012 15:00'!
solvePenetration: aPlayer
	aPlayer waitMoment.
	self delete.
	ActiveWorld flash! !


!SRBeam methodsFor: 'private' stamp: 'SRground 7/19/2012 14:03'!
checkCollision
	owner submorphs
		do: [ :each | 
			(each isIntersected: self)
				ifTrue: [ 
					each hitByBeam.
					self delete ] ]! !


Morph subclass: #SkyRush
	instanceVariableNames: 'player keyState groundLevel kinect skelton'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SkyRush methodsFor: 'initialization' stamp: 'Oomori 11/10/2012 14:34'!
initialize
	super initialize.
	self color: Color black.
	self extent: ActiveWorld extent.
	keyState := Set new.
	groundLevel := 80.
	self setupKinect.
	self setup! !

!SkyRush methodsFor: 'initialization' stamp: 'Anonymous 10/25/2012 14:27'!
setup
	| b |
	player := SRPlayer new.
	player center: bounds topLeft + (320 @ 240).
	self addMorphFront: player! !


!SkyRush methodsFor: 'event handling' stamp: 'kasai 6/22/2012 14:59'!
handlesKeyboard: anEvent
	^ true! !

!SkyRush methodsFor: 'event handling' stamp: 'kasai 6/22/2012 14:59'!
handlesMouseDown: anEvent
	^ true! !

!SkyRush methodsFor: 'event handling' stamp: 'Anonymous 9/26/2012 01:27'!
keyDown: anEvent
	| v |
	v := anEvent keyValue.
	v = 28
		ifTrue: [ keyState add: #left ].
	v = 29
		ifTrue: [ keyState add: #right ].
	v = 30
		ifTrue: [ keyState add: #up ].
	v = 31
		ifTrue: [ keyState add: #down ].
	v = 90
		ifTrue: [ keyState add: #z ].
	v = 88
		ifTrue: [ keyState add: #x ]! !

!SkyRush methodsFor: 'event handling' stamp: 'Anonymous 9/26/2012 01:28'!
keyUp: anEvent
	| v |
	v := anEvent keyValue.
	v = 28
		ifTrue: [ keyState remove: #left ifAbsent: [  ] ].
	v = 29
		ifTrue: [ keyState remove: #right ifAbsent: [  ] ].
	v = 30
		ifTrue: [ keyState remove: #up ifAbsent: [  ] ].
	v = 31
		ifTrue: [ keyState remove: #down ifAbsent: [  ] ].
	v = 90
		ifTrue: [ keyState remove: #z ifAbsent: [  ] ].
	v = 88
		ifTrue: [ keyState remove: #x ifAbsent: [  ] ]! !

!SkyRush methodsFor: 'event handling' stamp: 'kasai 6/22/2012 14:59'!
mouseDown: anEvent
	anEvent hand keyboardFocus: self! !


!SkyRush methodsFor: 'stepping and presenter' stamp: 'Anonymous 10/27/2012 11:16'!
step
	self doKinect.
	self submorphs do: [ :each | each move ].
	self generateground.
	14 atRandom = 1
		ifTrue: [ self fireMissile ].
	14 atRandom = 1
		ifTrue: [ self fireMissileyoko ].
	14 atRandom = 1
		ifTrue: [ self fireMeteo ].
	20 atRandom = 1
		ifTrue: [ self FakeMissile ]! !

!SkyRush methodsFor: 'stepping and presenter' stamp: 'kasai 6/22/2012 14:59'!
stepTime
	^ 100! !

!SkyRush methodsFor: 'stepping and presenter' stamp: 'kasai 6/22/2012 14:59'!
wantsSteps
	^ true! !


!SkyRush methodsFor: 'private' stamp: 'Anonymous 9/26/2012 00:25'!
FakeMissile
	| b |
	b := SRMissileFake new.
	b bottomRight: bounds bottomRight - (0 @ groundLevel).
	self addMorphFront: b! !

!SkyRush methodsFor: 'private' stamp: 'Anonymous 10/27/2012 10:29'!
fireMeteo
	| b |
	b := SRMeteo new.
	b center: bounds bottomRight - (30 @ 800 atRandom).
	self addMorphFront: b! !

!SkyRush methodsFor: 'private' stamp: 'Anonymous 10/27/2012 10:29'!
fireMeteo2
	| b |
	b := SRMeteo2 new.
	b center: bounds bottomLeft - (30 @ 800 atRandom).
	self addMorphFront: b! !

!SkyRush methodsFor: 'private' stamp: 'Anonymous 9/26/2012 00:24'!
fireMissile
	| b c |
	b := SRMissile new.
	b bottomRight: bounds bottomRight - (0 @ groundLevel).
	self addMorphFront: b! !

!SkyRush methodsFor: 'private' stamp: 'Anonymous 10/27/2012 10:29'!
fireMissileyoko
	| b c |
	b := SRMissileyoko new.
	b bottomRight: bounds bottomRight - (0 @ 800 atRandom).
	self addMorphFront: b! !

!SkyRush methodsFor: 'private' stamp: 'Anonymous 10/18/2012 14:29'!
gamepad
	| xy b |
	xy := Sensor joystickXY: 1.
	b := Sensor joystickButtons: 1.
	xy x = -1024
		ifTrue: [ keyState add: #left ]
		ifFalse: [ keyState remove: #left ifAbsent: [  ] ].
	xy x = 1023
		ifTrue: [ keyState add: #right ]
		ifFalse: [ keyState remove: #right ifAbsent: [  ] ].
	xy y = -1024
		ifTrue: [ keyState add: #up ]
		ifFalse: [ keyState remove: #up ifAbsent: [  ] ].
	xy y = 1023
		ifTrue: [ keyState add: #down ]
		ifFalse: [ keyState remove: #down ifAbsent: [  ] ].
	b = 1
		ifTrue: [ keyState add: #z ]
		ifFalse: [ keyState remove: #z ifAbsent: [  ] ].
	b = 2
		ifTrue: [ keyState add: #x ]
		ifFalse: [ keyState remove: #x ifAbsent: [  ] ]! !

!SkyRush methodsFor: 'private' stamp: 'Anonymous 10/25/2012 13:28'!
generateground
	| b |
	b := SRground new.
	groundLevel := groundLevel + (-8 to: 8) atRandom.
	b extent: 8 @ groundLevel.
	b bottomRight: bounds bottomRight.
	self addMorphFront: b! !

!SkyRush methodsFor: 'private' stamp: 'Anonymous 9/26/2012 01:20'!
generateupground
	| b |
	b := SRgroundup new.
	groundLevel := groundLevel + (-5 to: 5) atRandom.
	b extent: 8 @ groundLevel.
	b topRight: bounds topRight.
	self addMorphFront: b! !

!SkyRush methodsFor: 'private' stamp: 'Anonymous 10/27/2012 10:24'!
missed
	self inform: 'コンテニュー？'.
	self delete!]lang[(44)0! !


!SkyRush methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 00:28'!
clear
	self inform: '楽勝'.
	self delete!]lang[(38)0! !

!SkyRush methodsFor: 'accessing' stamp: 'kasai 6/22/2012 14:59'!
keyState
	^ keyState! !

!SkyRush methodsFor: 'accessing' stamp: 'kasai 6/22/2012 14:59'!
player
	^ player! !


!SkyRush methodsFor: 'kinect' stamp: 'Anonymous 10/27/2012 11:14'!
doKinect
	| neck handl handr y x z |
	skelton ifNil: [ ^ self ].
	neck := skelton jointNamed: #neck.
	neck ifNil: [ ^ self ].
	handl := skelton jointNamed: #l_hand.
	handl ifNil: [ ^ self ].
	handr := skelton jointNamed: #r_hand.
	handr ifNil: [ ^ self ].
	y := handl y - neck y.
	y < -0.1
		ifTrue: [ keyState add: #up ]
		ifFalse: [ keyState remove: #up ifAbsent: [  ] ].
	y > 0.1
		ifTrue: [ keyState add: #down ]
		ifFalse: [ keyState remove: #down ifAbsent: [  ] ].
	x := handl x - neck x.
	x < -0.1
		ifTrue: [ keyState add: #left ]
		ifFalse: [ keyState remove: #left ifAbsent: [  ] ].
	x > 0.1
		ifTrue: [ keyState add: #right ]
		ifFalse: [ keyState remove: #right ifAbsent: [  ] ].
	z := handr y - neck y.
	z < -0.1
		ifTrue: [ keyState add: #z ]
		ifFalse: [ keyState remove: #z ifAbsent: [  ] ].
	z > 0.1
		ifTrue: [ keyState add: #x ]
		ifFalse: [ keyState remove: #x ifAbsent: [  ] ]! !

!SkyRush methodsFor: 'kinect' stamp: 'EiichiroIto 10/24/2012 17:02'!
setupKinect
	kinect := KinectOSC new.
	kinect
		createSkeltonBlock: [ :skel | 
					skelton := skel.
					ActiveWorld flash ];
		deleteSkeltonBlock: [ :skel | skelton := nil ].
	kinect start! !


!SkyRush methodsFor: 'submorphs-add/remove' stamp: 'Anonymous 10/25/2012 14:17'!
delete
	kinect stop.
	super delete! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

SkyRush class
	instanceVariableNames: ''!

!SkyRush class methodsFor: 'instance creation' stamp: 'kasai 6/22/2012 14:59'!
open
	| obj |
	obj := JackPot new.
	obj openInWorld! !


Morph subclass: #SRMissileyoko
	instanceVariableNames: 'form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRMissileyoko methodsFor: 'initialization' stamp: 'Anonymous 10/25/2012 13:21'!
initialize
	super initialize.
	self extent: 60 @ 30.
	self color: Color red.
	form := Form fromFileNamed: 'my.png'.
	form := form mapColor: Color white to: Color transparent! !


!SRMissileyoko methodsFor: 'testing' stamp: 'Anonymous 10/25/2012 13:16'!
isIntersected: aPlayer
	^ self bounds intersects: aPlayer bounds! !


!SRMissileyoko methodsFor: 'accessing' stamp: 'Anonymous 10/25/2012 13:16'!
hitByBeam
	self delete! !

!SRMissileyoko methodsFor: 'accessing' stamp: 'Anonymous 10/25/2012 13:16'!
hitByBom
	self delete! !

!SRMissileyoko methodsFor: 'accessing' stamp: 'Anonymous 10/25/2012 13:49'!
move
	| pos delta x |
	owner isNil
		ifTrue: [ ^ self ].
	pos := self center.
	delta := -16 @ 0.
	pos x - owner player center x < 300
		ifTrue: [ delta := -50 @ 0 ].
	self center: pos + delta.
	(self bounds intersects: owner bounds) not
		ifTrue: [ self delete ]! !

!SRMissileyoko methodsFor: 'accessing' stamp: 'Anonymous 10/25/2012 13:16'!
solvePenetration: aPlayer
	aPlayer owner missed! !


!SRMissileyoko methodsFor: 'drawing' stamp: 'Anonymous 10/25/2012 13:16'!
drawOn: aCanVas
	aCanVas translucentImage: form at: self topLeft! !


Morph subclass: #SRgroundup
	instanceVariableNames: 'form'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SkyRush-Oomori'!

!SRgroundup methodsFor: 'initialization' stamp: 'Anonymous 9/26/2012 00:57'!
initialize
	super initialize.
	self extent: 8 @ 50.
	self color: Color white! !


!SRgroundup methodsFor: 'testing' stamp: 'Anonymous 9/26/2012 00:43'!
isIntersected: aPlayer
	^ self bounds intersects: aPlayer bounds! !


!SRgroundup methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 00:43'!
hitByBeam
	! !

!SRgroundup methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 01:35'!
hitByBom
	! !

!SRgroundup methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 01:15'!
move
	| pos delta |
	owner isNil
		ifTrue: [ ^ self ].
	pos := self center.
	delta := -8 @ 0.
	self center: pos + delta.
	(self bounds intersects: owner bounds) not
		ifTrue: [ self delete ]! !

!SRgroundup methodsFor: 'accessing' stamp: 'Anonymous 9/26/2012 00:43'!
solvePenetration: aPlayer
	aPlayer owner missed! !
